import React, { FunctionComponent } from 'react'
import { Light as SyntaxHighlighter } from 'react-syntax-highlighter'
import json from 'react-syntax-highlighter/dist/cjs/languages/hljs/json'
import docco from 'react-syntax-highlighter/dist/cjs/styles/hljs/an-old-hope'
SyntaxHighlighter.registerLanguage('json', json)

const Highlighter: FunctionComponent<{
    codeString: string
    language: 'json'
}> = (props) => {
    return (
        <div className="w-full bg-black text-sm">
            <SyntaxHighlighter
                showLineNumbers
                lineNumberStyle={{ color: 'rgba(255, 255, 255, 0.3)' }}
                language={props.language}
                style={docco}
            >
                {props.codeString}
            </SyntaxHighlighter>
        </div>
    )
}

export default Highlighter
